<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__secure__sockets__macros" kind="group">
    <compoundname>group_secure_sockets_macros</compoundname>
    <title>Macros</title>
    <innergroup refid="group__group__secure__sockets__results">Secure Sockets results/error codes</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__secure__sockets__macros_1gaa57a6dace448754bffd34e9dd7b1d6f5" kind="define" prot="public" static="no">
        <name>CY_SOCKET_INVALID_HANDLE</name>
        <initializer>( ( <ref kindref="member" refid="group__group__secure__sockets__typedefs_1ga12b5aa294d6c930ba50ab730d39ed511">cy_socket_t</ref> ) ~0U )</initializer>
        <briefdescription>
<para>Assigned to a <ref kindref="member" refid="group__group__secure__sockets__typedefs_1ga12b5aa294d6c930ba50ab730d39ed511">cy_socket_t</ref> variable when the socket handle is not valid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="80" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="80" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga9f46c16c6c8831febc8f13af7532fccc" kind="define" prot="public" static="no">
        <name>DEFAULT_RECV_TIMEOUT_IN_MSEC</name>
        <initializer>10000</initializer>
        <briefdescription>
<para>Default socket receive timeout value, in milliseconds. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="85" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga87671ef56090d75c32706e41f6fade69" kind="define" prot="public" static="no">
        <name>DEFAULT_SEND_TIMEOUT_IN_MSEC</name>
        <initializer>10000</initializer>
        <briefdescription>
<para>Default socket send timeout value, in milliseconds. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="90" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga78a785b81acf34f704c9a4256554e5ce" kind="define" prot="public" static="no">
        <name>ARP_WAIT_TIME_IN_MSEC</name>
        <initializer>30000</initializer>
        <briefdescription>
<para>Maximum time in milliseconds the <ref kindref="member" refid="group__group__secure__sockets__functions_1ga4bc4e8aed9916206f073cb22cf4009cc">cy_socket_sendto</ref> function waits for MAC address-to-IP address resolution. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="95" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gacc301fb73845cb915cfacffc1b7d0c23" kind="define" prot="public" static="no">
        <name>CY_SOCKET_DOMAIN_AF_INET</name>
        <initializer>( 2 )</initializer>
        <briefdescription>
<para>Domain option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - IPv4 internet protocols. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="100" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="100" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaa2d04e27350109a0084d8ea90eb24a27" kind="define" prot="public" static="no">
        <name>CY_SOCKET_DOMAIN_AF_INET6</name>
        <initializer>( 10 )</initializer>
        <briefdescription>
<para>Domain option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - IPv6 internet protocols. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="101" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga9ea5c6f97612e469393306ddefc38657" kind="define" prot="public" static="no">
        <name>CY_SOCKET_TYPE_DGRAM</name>
        <initializer>( 2 )</initializer>
        <briefdescription>
<para>Type parameter for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - Datagram. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="106" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gac0610ba6e8fe01ccbaacf89145f9285a" kind="define" prot="public" static="no">
        <name>CY_SOCKET_TYPE_STREAM</name>
        <initializer>( 1 )</initializer>
        <briefdescription>
<para>Type parameter for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - Byte-stream. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="107" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga1c6d23edbc333c85d3e7a8702dcf22a1" kind="define" prot="public" static="no">
        <name>CY_SOCKET_IPPROTO_TCP</name>
        <initializer>( 1 )</initializer>
        <briefdescription>
<para>Protocol option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - TCP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="112" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga2bbff715a00d6ce5ff669b12a75c7441" kind="define" prot="public" static="no">
        <name>CY_SOCKET_IPPROTO_UDP</name>
        <initializer>( 2 )</initializer>
        <briefdescription>
<para>Protocol option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - UDP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="113" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga1114a6ecf098cf499e2c9ad3d651efc3" kind="define" prot="public" static="no">
        <name>CY_SOCKET_IPPROTO_TLS</name>
        <initializer>( 3 )</initializer>
        <briefdescription>
<para>Protocol option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga30bbbf20a277e2a7e622df504b014a4b">cy_socket_create()</ref> - TLS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="114" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="114" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SOL_SOCKET</name>
        <initializer>( 1 )</initializer>
        <briefdescription>
<para>Level option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga02e453d715d77075c59d751f6b07ae8f">cy_socket_setsockopt()</ref> - Socket-level option. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="119" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="119" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gab245bb6040c3f680cc38e39e9e3a97d7" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SOL_TCP</name>
        <initializer>( 2 )</initializer>
        <briefdescription>
<para>Level option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga02e453d715d77075c59d751f6b07ae8f">cy_socket_setsockopt()</ref> - TCP protocol-level option. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="120" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="120" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SOL_TLS</name>
        <initializer>( 3 )</initializer>
        <briefdescription>
<para>Level option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga02e453d715d77075c59d751f6b07ae8f">cy_socket_setsockopt()</ref> - TLS protocol-level option. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="121" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="121" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga6158e1e598a55be5e42d5db5f921d13e" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SOL_IP</name>
        <initializer>( 4 )</initializer>
        <briefdescription>
<para>Level option for <ref kindref="member" refid="group__group__secure__sockets__functions_1ga02e453d715d77075c59d751f6b07ae8f">cy_socket_setsockopt()</ref> - IP protocol-level option. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="122" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="122" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga1fcbd0b7ab0d808a7d0a88eaffe04e00" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_RCVTIMEO</name>
        <initializer>( 0 )</initializer>
        <briefdescription>
<para>Set the receive timeout in milliseconds. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the timeout value in uint32_t type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref></para></listitem></itemizedlist>
</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Configuring the receive timeout value on a server socket impacts the &lt;a href="group__group__secure__sockets__functions.html#group__group__secure__sockets__functions_1ga49ede56f180b2bb3e367924f535bb300"&gt;cy_socket_accept()&lt;/a&gt; API function. If the client does not send a connect request within the timeout, &lt;a href="group__group__secure__sockets__functions.html#group__group__secure__sockets__functions_1ga49ede56f180b2bb3e367924f535bb300"&gt;cy_socket_accept()&lt;/a&gt; returns the &lt;a href="group__group__secure__sockets__results.html#group__group__secure__sockets__results_1gac5f5fb81bfb98a38b7b36981f1be2ac7"&gt;CY_RSLT_MODULE_SECURE_SOCKETS_TIMEOUT&lt;/a&gt; error. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="137" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="137" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga6d99d154509bf7293f13ac97b7fd5b68" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_SNDTIMEO</name>
        <initializer>( 1 )</initializer>
        <briefdescription>
<para>Set the send timeout in milliseconds. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding timeout value in uint32_t type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="146" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="146" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga87ddcdfd412485a722122a56495e46c6" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_NONBLOCK</name>
        <initializer>( 2 )</initializer>
        <briefdescription>
<para>Set the blocking status of socket API function calls. </para>        </briefdescription>
        <detaileddescription>
<para>This option is currently not supported; will be supported in a future release.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the blocking status in uint8_t type. Value "1" indicates blocking status to non-blocking. Value "0" indicates blocking status to blocking.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="158" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="158" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga53ca01abc49daa408f8785feb114b5f1" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TCP_KEEPALIVE_ENABLE</name>
        <initializer>( 3 )</initializer>
        <briefdescription>
<para>Enable/Disable the TCP keepalive mechanism on the socket. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the keepalive configuration in int type. Value "1" indicates enable TCP keepalive. Value "0" indicates disable TCP keepalive.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="169" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="169" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga35dd20206a7d72552a8d14802142a277" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TCP_KEEPALIVE_INTERVAL</name>
        <initializer>( 4 )</initializer>
        <briefdescription>
<para>Set the interval in milliseconds between TCP keepalive probes. </para>        </briefdescription>
        <detaileddescription>
<para>Keepalives are sent only when the feature is enabled with the <ref kindref="member" refid="group__group__secure__sockets__macros_1ga53ca01abc49daa408f8785feb114b5f1">CY_SOCKET_SO_TCP_KEEPALIVE_ENABLE</ref> socket option.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding value of the keepalive interval in uint32_t type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gab245bb6040c3f680cc38e39e9e3a97d7">CY_SOCKET_SOL_TCP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="180" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="180" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga6dac9d634c0ba0cfee63027dec8f7497" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TCP_KEEPALIVE_COUNT</name>
        <initializer>( 5 )</initializer>
        <briefdescription>
<para>Set the maximum number of TCP keepalive probes to be sent before giving up and killing the connection if no response is obtained from the other end. </para>        </briefdescription>
        <detaileddescription>
<para>Keepalives are sent only when the feature is enabled with the <ref kindref="member" refid="group__group__secure__sockets__macros_1ga53ca01abc49daa408f8785feb114b5f1">CY_SOCKET_SO_TCP_KEEPALIVE_ENABLE</ref> socket option.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the value of maximum keepalive probe count in uint32_t type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gab245bb6040c3f680cc38e39e9e3a97d7">CY_SOCKET_SOL_TCP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="192" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="192" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gac536732ce0003c81a088654c90a0d2a4" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TCP_KEEPALIVE_IDLE_TIME</name>
        <initializer>( 6 )</initializer>
        <briefdescription>
<para>Set the duration for which the connection needs to be idle (in milliseconds) before TCP begins sending out keepalive probes. </para>        </briefdescription>
        <detaileddescription>
<para>Keepalive probes are sent only when the feature is enabled with <ref kindref="member" refid="group__group__secure__sockets__macros_1ga53ca01abc49daa408f8785feb114b5f1">CY_SOCKET_SO_TCP_KEEPALIVE_ENABLE</ref> socket option.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the value of keepalive idle time in uint32_t type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gab245bb6040c3f680cc38e39e9e3a97d7">CY_SOCKET_SOL_TCP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="203" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="203" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga7fd0bff2f890ddab81f7847a1862c325" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_CONNECT_REQUEST_CALLBACK</name>
        <initializer>( 7 )</initializer>
        <briefdescription>
<para>Set the callback to be called upon incoming client connection request. </para>        </briefdescription>
        <detaileddescription>
<para>This option is supported only for TCP server sockets. The callback function registered with this option runs in the secure sockets worker thread context. This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer to <ref kindref="compound" refid="structcy__socket__opt__callback__t">cy_socket_opt_callback_t</ref>. Passing the NULL value de-registers the registered callback.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="216" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="216" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaa05dc49b1682f0682d1a4066c641512d" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_RECEIVE_CALLBACK</name>
        <initializer>( 8 )</initializer>
        <briefdescription>
<para>Set the callback to be called when the socket has received data. </para>        </briefdescription>
        <detaileddescription>
<para>The callback function registered with this option runs in the secure sockets worker thread context. This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The registered receive callback function is invoked when a network packet is received from the network stack, hence this callback is invoked per network packet. If the data in the packet is consumed partially, the Secure Sockets Library doesn't provide another callback for the remaining data in that packet. Hence it is recommended to read the entire network packet by providing a buffer of MTU size (1460 bytes) to the &lt;a href="group__group__secure__sockets__functions.html#group__group__secure__sockets__functions_1gaeb1269bd36384293539dc749095412f7"&gt;cy_socket_recv&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Arguments related to this optname:</verbatim><itemizedlist>
<listitem><para>Option value: Pointer to <ref kindref="compound" refid="structcy__socket__opt__callback__t">cy_socket_opt_callback_t</ref>. Passing the NULL value de-registers the registered callback.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="233" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="233" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga4a3e35fbb5f577a38a6eafb7d693134a" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_DISCONNECT_CALLBACK</name>
        <initializer>( 9 )</initializer>
        <briefdescription>
<para>Set the callback to be called when the socket is disconnected. </para>        </briefdescription>
        <detaileddescription>
<para>This option is supported only for TCP sockets. The callback function registered with this option runs in the secure sockets worker thread context. This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This callback is invoked whenever the peer disconnects. In the callback, &lt;a href="group__group__secure__sockets__functions.html#group__group__secure__sockets__functions_1ga97476da4dcc2f3a411c35b741bf098cc"&gt;cy_socket_disconnect&lt;/a&gt; should be invoked. This callback will not be invoked during self-initiated disconnections i.e., when &lt;a href="group__group__secure__sockets__functions.html#group__group__secure__sockets__functions_1ga97476da4dcc2f3a411c35b741bf098cc"&gt;cy_socket_disconnect&lt;/a&gt; is called by self.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Arguments related to this optname:</verbatim><itemizedlist>
<listitem><para>Option value: Pointer to <ref kindref="compound" refid="structcy__socket__opt__callback__t">cy_socket_opt_callback_t</ref>. Passing the NULL value de-registers the registered callback.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="250" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="250" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gac16c4875566176015ef0769b8950f62a" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_NWRITE</name>
        <initializer>( 10 )</initializer>
        <briefdescription>
<para>Get the number of bytes pending to be sent by the protocol. </para>        </briefdescription>
        <detaileddescription>
<para>This option is used only with <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>. This option is currently not supported; will be supported in a future release.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer to the uint32_t type into which the API function fills the number of bytes.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="261" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="261" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga2427b8a6b4a20aca2232c6874ff6867b" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TCP_USER_TIMEOUT</name>
        <initializer>( 11 )</initializer>
        <briefdescription>
<para>Set the user timeout value that controls the duration transmitted data may remain unacknowledged before a connection is forcefully closed. </para>        </briefdescription>
        <detaileddescription>
<para>This option is currently not supported; will be supported in a future release.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the timeout value in uint32_t type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gab245bb6040c3f680cc38e39e9e3a97d7">CY_SOCKET_SOL_TCP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="271" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="271" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga5bdbb8938476af809b4af8f5f7c2da2d" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TRUSTED_ROOTCA_CERTIFICATE</name>
        <initializer>( 12 )</initializer>
        <briefdescription>
<para>Set a RootCA certificate specific to the socket, in PEM format. </para>        </briefdescription>
        <detaileddescription>
<para>By default, the RootCA certificates loaded with <ref kindref="member" refid="group__group__cy__tls__functions_1ga186918ab7a9c658fb7e3cc6f00e0d6d9">cy_tls_load_global_root_ca_certificates</ref> are used to validate the peer's certificate. If specific RootCA needs to be used for a socket, this socket option should be used to configure a connection-specific RootCA.</para><para>This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer to a buffer (char array) holding the certificate data.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f">CY_SOCKET_SOL_TLS</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="285" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="285" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gafa0ac839774a33feeb037dbb0c449cc3" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TLS_IDENTITY</name>
        <initializer>( 13 )</initializer>
        <briefdescription>
<para>Set TLS identity. </para>        </briefdescription>
        <detaileddescription>
<para>This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer (type void) returned by the <ref kindref="member" refid="group__group__cy__tls__functions_1ga3d2408681bbcea3b869cb5ae21cd0d5e">cy_tls_create_identity</ref> function.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f">CY_SOCKET_SOL_TLS</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="295" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="295" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaa3f2b7a10cc58ae014640a8547949974" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_SERVER_NAME_INDICATION</name>
        <initializer>( 14 )</initializer>
        <briefdescription>
<para>Set the hostname to be used for TLS Server Name Indication (SNI) extension of TLS ClientHello. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer to the stream of bytes (char array) holding the hostname.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f">CY_SOCKET_SOL_TLS</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="304" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="304" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga6bb302019f176eed7e436157fbc085f6" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_ALPN_PROTOCOLS</name>
        <initializer>( 15 )</initializer>
        <briefdescription>
<para>Set the application protocol list to be included in TLS ClientHello. </para>        </briefdescription>
        <detaileddescription>
<para>This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer to the stream of bytes (char array) with protocol names separated by comma. e.g., "h2-16,h2-15,h2-14,h2,spdy/3.1,http/1.1"</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f">CY_SOCKET_SOL_TLS</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="315" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="315" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga9ce4ab8fca2ff7306f05f7433835f394" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TLS_AUTH_MODE</name>
        <initializer>( 16 )</initializer>
        <briefdescription>
<para>Set TLS authenticate mode. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the TLS authentication mode value of type <ref kindref="member" refid="group__group__secure__sockets__enums_1gaf0599f554a1154ae83b4f587520fa705">cy_socket_tls_auth_mode_t</ref>.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f">CY_SOCKET_SOL_TLS</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="324" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="324" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga0f0041158626e01c411e117ca6e2c5d5" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_TLS_MFL</name>
        <initializer>( 17 )</initializer>
        <briefdescription>
<para>Set the TLS maximum fragment length. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the maximum fragment length value in uint32_t type. Allowed values are 512, 1024, 2048, 4096 per <ulink url="https://tools.ietf.org/html/rfc6066#section-4">https://tools.ietf.org/html/rfc6066#section-4</ulink>.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga87878a7761a845f17f24f5e52c73f61f">CY_SOCKET_SOL_TLS</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="334" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="334" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga6eb3fccf457611f775c37e58442449b3" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_JOIN_MULTICAST_GROUP</name>
        <initializer>( 18 )</initializer>
        <briefdescription>
<para>Join an IPv4 (or) IPv6 multicast group. </para>        </briefdescription>
        <detaileddescription>
<para>This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ol&gt;&lt;li&gt;&lt;p&gt;This implementation supports up to 10 multicast groups in total, and across the sockets. This is due to the underlying Wi-Fi Host Driver (WHD) limitation.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;The maximum number of IPv4 and IPv6 multicast groups to be supported can be configured using the configuration options provided by the network stack. However, if the total count of both IPv4 and IPv6 multicast groups is more than 10, any attempts to join a new multicast group will fail.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Arguments related to this optname:</verbatim><itemizedlist>
<listitem><para>Option value: Pointer holding the multicast group address and local IP address values in <ref kindref="compound" refid="structcy__socket__ip__mreq__t">cy_socket_ip_mreq_t</ref> structure type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga6158e1e598a55be5e42d5db5f921d13e">CY_SOCKET_SOL_IP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="349" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="349" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaa3b9e9b88b1affecbb653fb1375771e3" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_LEAVE_MULTICAST_GROUP</name>
        <initializer>( 19 )</initializer>
        <briefdescription>
<para>Leave an IPv4 (or) IPv6 multicast group. </para>        </briefdescription>
        <detaileddescription>
<para>This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the multicast group address and local IP address values in <ref kindref="compound" refid="structcy__socket__ip__mreq__t">cy_socket_ip_mreq_t</ref> structure type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga6158e1e598a55be5e42d5db5f921d13e">CY_SOCKET_SOL_IP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="359" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="359" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gac562af7498a20fba804f7d14ce8a059c" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_IP_MULTICAST_TTL</name>
        <initializer>( 20 )</initializer>
        <briefdescription>
<para>Set the time-to-live value of outgoing multicast packets for this socket. </para>        </briefdescription>
        <detaileddescription>
<para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the time-to-live value in uint8_t type. The value of this socket option should be in the range 0 &lt;= value &lt;= 255. For IPv4, this value is measured in seconds; for IPv6, it is measured in hop limit.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1ga6158e1e598a55be5e42d5db5f921d13e">CY_SOCKET_SOL_IP</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="370" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="370" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaed20b264dc3c370f3136ef8923f5ad89" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_BROADCAST</name>
        <initializer>( 21 )</initializer>
        <briefdescription>
<para>Enable/disable sending and receiving broadcast messages on the socket. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Use this socket option only when broadcast filter is enabled in the network stack configuration. If broadcast filter is disabled in network stack configuration, broadcast messages cannot be controlled with this socket option.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Arguments related to this optname:</verbatim><itemizedlist>
<listitem><para>Option value: Pointer holding the uint8_t value. Value "1" enables broadcast messages. Value "0" disables broadcast messages.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="385" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="385" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga9bcc73d3e5fd22f8cceb98f57507703d" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SO_BINDTODEVICE</name>
        <initializer>( 22 )</initializer>
        <briefdescription>
<para>Set the network interface to be used for sending and receiving data on the socket. </para>        </briefdescription>
        <detaileddescription>
<para>This socket option can be called for more than once for a socket to change the interface it's bound to.</para><para>This option is not supported in <ref kindref="member" refid="group__group__secure__sockets__functions_1gaa417ff64790869ca839134b636d0f473">cy_socket_getsockopt</ref>.</para><para>Arguments related to this optname:<itemizedlist>
<listitem><para>Option value: Pointer holding the interface type value in <ref kindref="member" refid="group__group__secure__sockets__enums_1ga6a02f37745fb60c714f996c4b6b9d4f7">cy_socket_interface_t</ref> type.</para></listitem><listitem><para>Level: <ref kindref="member" refid="group__group__secure__sockets__macros_1gaf36b6f0f1bc53927d148746fedad7149">CY_SOCKET_SOL_SOCKET</ref> </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="397" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="397" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga91444208828cd6b96895d64b879513d4" kind="define" prot="public" static="no">
        <name>CY_SOCKET_FLAGS_NONE</name>
        <initializer>( 0x0 )</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__secure__sockets__functions_1gaf6ba24a0e4e6eb3c24087938aa3ae021">cy_socket_send()</ref> input flags - No flag. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="402" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="402" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga41fcdecad22d4585c47271f11d23a147" kind="define" prot="public" static="no">
        <name>CY_SOCKET_FLAGS_MORE</name>
        <initializer>( 0x1 )</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__secure__sockets__functions_1gaf6ba24a0e4e6eb3c24087938aa3ae021">cy_socket_send()</ref> input flags - The caller indicates that there is additional data to be sent. </para>        </briefdescription>
        <detaileddescription>
<para>This flag is applicable only for TCP connections. Caller will not set this flag for the last data chunk to be sent. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="403" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="403" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaaa0463c0472f262600893c33d3a40f0a" kind="define" prot="public" static="no">
        <name>CY_SOCKET_FLAGS_RECVFROM_NONE</name>
        <initializer>( 0x0 )</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__secure__sockets__functions_1ga29df5cbdaa9de0f324cf947454577727">cy_socket_recvfrom()</ref> input flags - No flag. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="408" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="408" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gafaf57e8563c58426b2213dc1a0b8c3be" kind="define" prot="public" static="no">
        <name>CY_SOCKET_FLAGS_RECVFROM_SRC_FILTER</name>
        <initializer>( 0x1 )</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__secure__sockets__functions_1ga29df5cbdaa9de0f324cf947454577727">cy_socket_recvfrom()</ref> input flags - Used for filtering of input packets. </para>        </briefdescription>
        <detaileddescription>
<para>Packets are received only from the user-specified source address. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="409" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="409" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga28c6768ca430ef58e12827886fdaf93e" kind="define" prot="public" static="no">
        <name>CY_SOCKET_POLL_READ</name>
        <initializer>( 1 )</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__secure__sockets__functions_1ga3c548fdcc908089b8ff95ad210f4fb64">cy_socket_poll()</ref> input flags - Check for pending data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="414" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="414" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gaf115a841dedd8db5171f5878d9dc4ce6" kind="define" prot="public" static="no">
        <name>CY_SOCKET_POLL_WRITE</name>
        <initializer>( 2 )</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__secure__sockets__functions_1ga3c548fdcc908089b8ff95ad210f4fb64">cy_socket_poll()</ref> input flags - Check whether write is possible. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="415" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="415" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1gafde2c0f411fdf3d3756f8bc22d607894" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SHUT_RD</name>
        <initializer>( 0x1 )</initializer>
        <briefdescription>
<para>Option for the "how" parameter of <ref kindref="member" refid="group__group__secure__sockets__functions_1ga5d118a0eaac0384adc34fccfe89c2b8f">cy_socket_shutdown()</ref> - Disables further receive operations. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="420" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="420" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga6eb71ea24b21ec3450d715592fac3f19" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SHUT_WR</name>
        <initializer>( 0x2 )</initializer>
        <briefdescription>
<para>Option for the "how" parameter of <ref kindref="member" refid="group__group__secure__sockets__functions_1ga5d118a0eaac0384adc34fccfe89c2b8f">cy_socket_shutdown()</ref> - Disables further send operations. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="421" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="421" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga30cc929ab95e2820b193a7d1b246baf5" kind="define" prot="public" static="no">
        <name>CY_SOCKET_SHUT_RDWR</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__macros_1gafde2c0f411fdf3d3756f8bc22d607894">CY_SOCKET_SHUT_RD</ref> | <ref kindref="member" refid="group__group__secure__sockets__macros_1ga6eb71ea24b21ec3450d715592fac3f19">CY_SOCKET_SHUT_WR</ref> )</initializer>
        <briefdescription>
<para>Option for the "how" parameter of <ref kindref="member" refid="group__group__secure__sockets__functions_1ga5d118a0eaac0384adc34fccfe89c2b8f">cy_socket_shutdown()</ref> - Disables further send and receive. </para>        </briefdescription>
        <detaileddescription>
<para>operations. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="422" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="422" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__macros_1ga4984a6aa9c962e897bfeaf3e948b23eb" kind="define" prot="public" static="no">
        <name>CY_SOCKET_NEVER_TIMEOUT</name>
        <initializer>( 0xFFFFFFFFU )</initializer>
        <briefdescription>
<para>Never timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="428" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="428" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>